Bug 123728 - Printing via UNO hangs in certain situation
Summary: Printing via UNO hangs in certain situation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.2 target:6.1.6
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-27 07:03 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-03-01 10:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bugdoc (9.41 KB, application/vnd.oasis.opendocument.text)
2019-02-27 07:03 UTC, Samuel Mehrbrodt (CIB)
Details
Backtrace LO (5.08 KB, text/plain)
2019-02-27 07:04 UTC, Samuel Mehrbrodt (CIB)
Details
Wollmux Java Threads (2.17 KB, text/plain)
2019-02-27 07:04 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-02-27 07:03:50 UTC
Created attachment 149609 [details]
Bugdoc

1. Install Wollmux (e.g. version 18.02)
2. Open attached document
3. Click "Print" in the toolbar
4. Click "Alle drucken"
5. Change the printer to "Microsoft Print to PDF" or "Microsoft XPS Document Writer"
6. Click "Print"

-> LibreOffice hangs

This is because the Micrsoft PDF printer wants to show a dialog which tries to access the main thread but that is blocked. So we have a deadlock.
Comment 1 Samuel Mehrbrodt (CIB) 2019-02-27 07:04:14 UTC
Created attachment 149610 [details]
Backtrace LO
Comment 2 Samuel Mehrbrodt (CIB) 2019-02-27 07:04:42 UTC
Created attachment 149611 [details]
Wollmux Java Threads
Comment 3 Commit Notification 2019-02-27 19:53:48 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/110803068b75ffd895a9b1139aee2248d30f085b%5E%21

tdf#123728 Always print on main thread to avoid deadlocks

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-02-28 12:02:02 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/559fa3d0d49ae53991626923d59f9c7f22858c58%5E%21

tdf#123728 Always print on main thread to avoid deadlocks

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-03-01 10:12:41 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/6360449f8b4a08de114f802f84a15d23103a5f41%5E%21

tdf#123728 Always print on main thread to avoid deadlocks

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.